time/p5-DateTime-Format-Flexible - The NetBSD Packages Collection

Flexibly parse strings and turn them into DateTime objects

If you have ever had to use a program that made you type in the
date a certain way and thought "Why can't the computer just figure
out what date I wanted?", this module is for you.

DateTime::Format::Flexible attempts to take any string you give it
and parse it into a DateTime object.

The test file tests 2500+ variations of date/time strings. If you
can think of any that I do not cover, please let me know.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

time/p5-DateTime time/p5-DateTime-Format-Builder time/p5-DateTime-TimeZone devel/p5-List-MoreUtils devel/p5-Sub-Name devel/p5-Module-Pluggable lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0earmv7hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0earmv7hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0i386p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0i386p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0i386p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0powerpcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0powerpcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0powerpcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 8.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0aarch64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0aarch64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0aarch64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0alphap5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0alphap5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0alphap5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv6hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv6hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv6hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv6hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv7hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv7hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv7hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0earmv7hfp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0i386p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0i386p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0i386p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0mips64ebp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0mips64ebp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0mips64ebp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0mipselp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0mipselp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0powerpcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0powerpcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sh3elp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sh3elp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sparc64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sparc64p5-DateTime-Format-Flexible-0.32.tgz
NetBSD 9.0sparc64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sparc64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sparcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sparcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0sparcp5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz
NetBSD 9.0x86_64p5-DateTime-Format-Flexible-0.32nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.